//#include "FltkOpenGl.h"

#include <cstdlib>
#include "SharedMemoryLib.h"
#include "FakeTrackerGLR.h"
//#include "teapot.h"
#include <gl/gl.h>
#include <GL/glu.h>
#include <fstream>
#include <iostream>

using namespace std;
extern void DrawTeapot();
//ofstream logfile("trombetta.txt");
//fltk_opengl *mwindow;



void FakeTrackerGLR::LookAt(){
     glMatrixMode(GL_PROJECTION);
        glLoadIdentity();
        gluPerspective(60, 260/145, 0.03, 500);

        glMatrixMode(GL_MODELVIEW);
        glLoadIdentity();

        gluLookAt(0, 2, 2, 0, 0, 0, 0.0f, 1.0f, 0.0f);
}
/*
void FakeTrackerGLR::drawCube() {
glEnable(GL_DEPTH_TEST);
glBegin(GL_QUADS);
      glColor3f(1.0, 0.0, 0.0);
      glVertex3f( -.5, -.5,  .5);
      glVertex3f(  .5, -.5,  .5);
      glVertex3f(  .5,  .5,  .5);
      glVertex3f( -.5,  .5,  .5);
glEnd();

glBegin(GL_QUADS);
      glColor3f(0.0, 0.0, 1.0);
      glVertex3f( -.5, -.5, -.5);
      glVertex3f(  .5, -.5, -.5);
      glVertex3f(  .5,  .5, -.5);
      glVertex3f( -.5,  .5, -.5);
glEnd();

glBegin(GL_QUADS);
      glColor3f(1.0, 1.0, 0.0);
      glVertex3f( -.5, -.5, -.5);
      glVertex3f( -.5, -.5,  .5);
      glVertex3f(  .5, -.5,  .5);
      glVertex3f(  .5, -.5, -.5);
glEnd();

glBegin(GL_QUADS);
      glColor3f(0.0, 1.0, 1.0);
      glVertex3f(  .5,  .5, -.5);
      glVertex3f(  .5,  .5,  .5);
      glVertex3f( -.5,  .5,  .5);
      glVertex3f( -.5,  .5, -.5);
glEnd();

glBegin(GL_QUADS);
      glColor3f(1.0, 0.0, 1.0);
      glVertex3f( -.5, -.5, -.5);
      glVertex3f( -.5,  .5, -.5);
      glVertex3f( -.5,  .5,  .5);
      glVertex3f( -.5, -.5,  .5);
glEnd();

glBegin(GL_QUADS);
      glColor3f(0.0, 1.0, 0.0);
      glVertex3f(  .5, -.5, -.5);
      glVertex3f(  .5, -.5,  .5);
      glVertex3f(  .5,  .5,  .5);
      glVertex3f(  .5,  .5, -.5);
glEnd();

};
*/
void FakeTrackerGLR::drawPlane()
{
     glColor3f(0,1,0);
     glBegin(GL_LINES);//-1.5~1.5
     //verticais: E->R
        glVertex3f( -1.5, 0,  1.5);
        glVertex3f( -1.5, 0, -1.5);
        
        glVertex3f( -1, 0,  1.5);
        glVertex3f( -1, 0, -1.5);
        glVertex3f(-.5, 0,  1.5);
        glVertex3f(-.5, 0, -1.5);
        glVertex3f(  0, 0,  1.5);
        glVertex3f(  0, 0, -1.5);
        glVertex3f( .5, 0,  1.5);
        glVertex3f( .5, 0, -1.5);
        glVertex3f(  1, 0,  1.5);
        glVertex3f(  1, 0, -1.5);
        
        glVertex3f(  1.5, 0,  1.5);
        glVertex3f(  1.5, 0, -1.5);
     //horizontais: F->T
        glVertex3f( -1.5, 0,  1.5);
        glVertex3f(  1.5, 0,  1.5);
        
        glVertex3f( -1.5, 0,  1);
        glVertex3f(  1.5, 0,  1);
        glVertex3f( -1.5, 0, .5);
        glVertex3f(  1.5, 0, .5);
        glVertex3f( -1.5, 0,  0);
        glVertex3f(  1.5, 0,  0);
        glVertex3f( -1.5, 0,-.5);
        glVertex3f(  1.5, 0,-.5);
        glVertex3f( -1.5, 0, -1);
        glVertex3f(  1.5, 0, -1);
        
        glVertex3f( -1.5, 0, -1.5);
        glVertex3f(  1.5, 0, -1.5);
     glEnd();
}


void FakeTrackerGLR::draw() {
    if (!valid()) {
        LookAt();
    }
    glEnable(GL_DEPTH_TEST);
    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
    glPushMatrix();
    glTranslatef(transXR, transYR, transZR);
    glRotatef(rotXR,1,0,0);
    glRotatef(rotYR,0,1,0);
    glRotatef(rotZR,0,0,1);
    DrawTeapot();
    //drawCube();
    glPopMatrix();
    glPushMatrix();
    glTranslatef(0, -1.5, 0);
    drawPlane();
    glPopMatrix();    
    glPushMatrix();
    glTranslatef(1.5, 0, 0);
    glRotatef(90,0,0,1);
    drawPlane();
    glPopMatrix();
    glPushMatrix();
    glTranslatef(-1.5, 0, 0);
    glRotatef(90,0,0,1);
    drawPlane();
    glPopMatrix();    
    glPushMatrix();
    glTranslatef(0, 0, -1.5);
    glRotatef(90,1,0,0);
    drawPlane();
    glPopMatrix();
};


