//
// Copyright 2005 by Mauro Charo, Rafael Rieder.
// Porto Alegre, Brazil.
//
// This library is free software; you can redistribute it and/or modify it under the
// terms of the GNU Library General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
// PARTICULAR PURPOSE. See the GNU Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public License along with
// this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
// Suite 330, Boston, MA 02111-1307 USA.
//
// Please report bugs & problems to maurocharao@yahoo.com.br or rafaelrieder@gmail.com
//
#ifndef _ABOUT_H_
#define _ABOUT_H_

#include <FL/Fl_Box.H>
#include <FL/Fl_Return_Button.H>
#include <FL/Fl_Window.H>

class About : public Fl_Window {
public:
  About();
protected:
  Fl_Box *labelAbout;
  Fl_Box *texto;
  Fl_Return_Button *btOk;

  static void callbackOk(Fl_Return_Button *bt, void *janela);
};
#endif
