#ifndef _SmVR_CMyEnvelope_H_
#define _SmVR_CMyEnvelope_H_

#include "SmVR.h" // SmallVR header file

extern int HaInterseccao(float V0[3], float V1[3], float V2[3],
                         float U0[3], float U1[3], float U2[3]);

class SmVR_CMyEnvelope : public SmVR_CGeometricObject {
  public:
    void SetBoundaries(SmVR_CPoint *min, SmVR_CPoint *max);
    int colided(float u0[3], float u1[3], float u2[3]);
    int colided(SmVR_CMyEnvelope *obj);

    SmVR_CMyEnvelope(char *name); // Constructor
    
    // Static public variables and functions
    static GLfloat SmVR_CMyEnvelope::color[4];
    static int     desenha(void *p);

    static float GetVertices(int n,int p){ return vertices[n][p]; }
    static int   GetFaces   (int n,int p){ return    faces[n][p]; }

  protected:
    static float vertices[8][3];
    static int   faces   [12][3];
    static float SmVR_CMyEnvelope::normais[12][3];
};
#endif
