// SmVR_CFakeTracker.h

#include "../../SmVR_CGeometricObject.h"
#include "../SmVR_CDevice.h"


class SmVR_CFakeTracker: public SmVR_CDevice
{

	public:
		 SmVR_CFakeTracker();
		 ~SmVR_CFakeTracker(void);
		 int Init(void *);
		 int Read(void *);
		 int  Reset(void *);
		 void Bind(int nSensor, SmVR_CGeometricObject *o );
		 void UpdateAllSensors (int tx, int ty, int tz, int rx, int ry, int rz);
		 void UpdateAllSensors (void);
		 void SetExtraData(void *);

	private:
		void *ExtraData;
		int NumberOfSensors;
		double POS[2][3], ROT[2][3];
		char StrRead[100];
		SmVR_CGeometricObject *BindObject[2];
		SmVR_Matrix Inverse[2];

		void UpdateBind(int i);

};


