#include "tracker.h"
#include <iostream>
#include <fstream>
#include <cstdlib>
#include "SharedMemoryLib.h"
#include <fltk/run.h>
//#include <fltk/forms.h>
//#include <FL/Fl.H>
//#include <FL/x.H>

using namespace std;

float rotXL, rotYL, rotZL, transXL, transYL, transZL;
float rotXR, rotYR, rotZR, transXR, transYR, transZR;
float Transforms[12];//rotx, roty, rotz, transx, transy, transz
extern void WriteMemory();
extern ofstream logfile;

class fltk_opengl : public TrackerUI {
public:
fltk_opengl(int argc, char* argv[]);
int run1();
};

fltk_opengl::fltk_opengl (int argc, char* argv[]){
                         rotXL = rotYL = rotZL = transXL = transYL = transZL = 0;
                         rotXR = rotYR = rotZR = transXR = transYR = transZR = 0;
                         for(int i = 0; i < 6; i++){
                                 Transforms[i] = 0;
                         }
                         (*janela_inicial).show(argc, argv);
}
int fltk_opengl::run1(){
                    while (this){
                          double teste;
                          //logfile << "entro run" << endl;
                          ReadFromSharedMemory(&teste, 12);
                          if(teste != 0){
                                  reset();
                                   rotXL = rotYL = rotZL = transXL = transYL = transZL = 0;
                                   rotXR = rotYR = rotZR = transXR = transYR = transZR = 0;
                                   for(int i = 0; i < 12; i++){
                                      Transforms[i] = 0;
                                      WriteOnSharedMemory(0, i);}
                                   WriteMemory();
                                   
                                   //this.Cube->invalidate();
                                   redraw();
                                   WriteOnSharedMemory(0, 13);
                            }
                            fltk::wait();
                    }
                    return 0;
};


