// ***************************************************
// SmVR_CSmVR_CTRILoaderLoader.cpp
//
//  Author: Marcio Serolli Pinho
//	Email: pinho@inf.pucrs.br		 
//	Homepages:
//		http://www.smallvr.org
//		http://grv.inf.pucrs.br
//		http://www.inf.pucrs.br/~pinho
//
//	Porto Alegre, Brazil, 2002.
// ************************************************

#include <stdio.h>


#ifdef WIN32
#include <windows.h>
#endif

#include "..\SmVR_COBJFromFile.h" // virtual base class

#include "SmVR_CTriLoader.h"

typedef struct
{
	float X,Y,Z;
} TPoint;


typedef struct
{
	TPoint P1, P2, P3;
	float R,G,B;
	TPoint Normal;
} TTriangle;


TTriangle Objeto3D[6000], Mao[1300];
int NFacesObjeto3D, NFacesMao; 


// ***************************************************
//	SmVR_CTRILoader
//
//
// ***************************************************
SmVR_CTRILoader::SmVR_CTRILoader()
{

}


// ***************************************************
//	SmVR_CTRILoader
//
//
// ***************************************************
int SmVR_CTRILoader::Load(char *filename)
{

	obj = glmReadOBJ (filename);
	if (obj) {
		//ScaleFactor = glmUnitize(obj);
		return 1;
	}
	else {
		return 0;
	}
}


// ***************************************************
//	SmVR_CTRILoader
//
//
// ***************************************************
void SmVR_CTRILoader::Render()
{
	glmDraw(obj,GLM_SMOOTH | GLM_TEXTURE | GLM_MATERIAL);
}

// ***************************************************
//	GetBoundaries
//
//
// ***************************************************
void SmVR_CTRILoader::GetBoundaries(SmVR_CPoint *min, SmVR_CPoint *max)
{
	
}
// ***************************************************
//	SmVR_CTRILoader
//
//
// ***************************************************
SmVR_CTRILoader::~SmVR_CTRILoader()
{
	//printf("'Destructor' from 'SmVR_CTRILoader' class.\n");
	glmDelete(obj);	
}

