
// SmVR_CTriLoader.h

#ifndef _SmVR_CTRILoader_
#define _SmVR_CTRILoader_

//#include <OBJ/glm.h>

typedef struct
{
	float X,Y,Z;
} TPoint;


typedef struct
{
	TPoint P1, P2, P3;
	float R,G,B;
	TPoint Normal;
} TTriangle;


TTriangle Objeto3D[6000];
int NFacesObjeto3D, NFacesMao; 


class SmVR_CTriLoader:public SmVR_CObjFromFile
{
	public:
		SmVR_CTRILoader (void);
		virtual ~SmVR_COBJLoader();

		int Load(char *filename);
		void Render();
		void Remove();
	private:
		GLMmodel *obj;
		GLfloat ScaleFactor;



};


#endif

