#include "OBJMesh.h"

#ifndef OBJ_H
#define OBJ_H

#ifndef MAX_MESHES
#define MAX_MESHES 100
#endif

class OBJ
{

public:

	int opaqueCount, translucentCount, texCoordCount, verticesCount;

	float * normals, * texCoords, * vertices;

	OBJMesh opaque[MAX_MESHES], translucent[MAX_MESHES];

	OBJ ();

	void drawOpaque ();

	void drawTranslucent ();

	~OBJ ();

};

#endif