#include <map>

#ifndef OBJTEXTUREMANAGER_H
#define OBJTEXTUREMANAGER_H

class OBJTextureManager
{

private:

	std::map<char *, unsigned int> textures;

	std::map<char *, unsigned int>::iterator textureIt;

	static OBJTextureManager single;

	OBJTextureManager ();

public:

	static OBJTextureManager * getInstance ()
	{ return & single; }

	unsigned int loadTexture (char * fileName);

	void clear ();

	~OBJTextureManager ();

};

#endif