#ifndef _SmVR_CEnvelope_H_
#define _SmVR_CEnvelope_H_

#include "SmVR.h" // SmallVR header file

extern int HaInterseccao(float V0[3], float V1[3], float V2[3],
                         float U0[3], float U1[3], float U2[3]);

class SmVR_CEnvelope : public SmVR_CGeometricObject {
  public:
    int colided(float u0[3], float u1[3], float u2[3]);
    int colided(SmVR_CEnvelope *obj);

    SmVR_CEnvelope(char *name); // Construtor
    // Variaveis e funcoes estaticas publicas
    //static GLfloat SmVR_CEnvelope::color[4];
    static GLfloat color[4];
    static int     desenha(void *p);

    static float GetVertices(int n,int p){ return vertices[n][p]; }
    static int   GetFaces   (int n,int p){ return    faces[n][p]; }

  private:
    static float vertices[8][3];
    static int   faces   [12][3];
    //static float SmVR_CEnvelope::normais[12][3];
    static float normais[12][3];
};
#endif
