#ifndef _SmVR_CPath_H_
#define _SmVR_CPath_H_

#include "SmVR.h" // SmallVR header file
#include "CollisionDetection/SmVR_CEnvelope.h" // SmallVR header file

class SmVR_CPath : public SmVR_CGeometricObject{
  public:
    typedef struct line{
      float x0, y0;
      float x1, y1;
    } line;

    //construtor
    SmVR_CPath(char *scene, char *name);

    int colided(float u0[3], float u1[3], float u2[3]);
    int colided(SmVR_CEnvelope *obj);
    static int static_draw(void* p);

  protected:
    line *lines;
    int no_lines;

    int draw(void *p);
    int load(char *name);
};
#endif
