// SmVR_CCyberTrackII.h

#include "../../SmVR_CGeometricObject.h"
#include "../SmVR_CDevice.h"

class SmVR_CCyberTrackII: public SmVR_CDevice 
{

	public:
		 SmVR_CCyberTrackII();
		 ~SmVR_CCyberTrackII(void);
		 int Init(void *);
		 int Read(void *);
		 void Bind(int nSensor, SmVR_CGeometricObject *o );
		 void UpdateAllSensors (void);
		 void SetExtraData(void *);

	private:
		void *ExtraData;
		int NumberOfSensors;
		float x,y,z;
		char StrRead[100], aux[100];
		SmVR_CGeometricObject *BindObject;

};
