// SmVR_CIGlasses.h

#include "../../SmVR_CGeometricObject.h"
#include "../SmVR_CDevice.h"
#include "SmVR.h"

class SmVR_CIGlasses: public SmVR_CDevice 
{

	public:
		 SmVR_CIGlasses();
		 ~SmVR_CIGlasses(void);
		 int Init(void *);
		 int Read(void *);
		 int  Reset(void *);
		 void Bind(int nSensor, SmVR_CGeometricObject *o );
		 void UpdateAllSensors (int rx, int ry, int rz);
		 void UpdateAllSensors (void);
		 void SetExtraData(void *);

	private:
		void *ExtraData;
		int NumberOfSensors;
		char StrRead[100];
		SmVR_CGeometricObject *BindObject;
		SmVR_CPoint *xyz;
};
