// SmVR_CIsotrack.h

#include "../../SmVR_CGeometricObject.h"
#include "../SmVR_CDevice.h"

class SmVR_CIsotrack: public SmVR_CDevice 
{

	public:
		 SmVR_CIsotrack();
		 ~SmVR_CIsotrack(void);
		 int Init(void *);
		 int Read(void *);
		 int  Reset(void *);
		 void Bind(int nSensor, SmVR_CGeometricObject *o );
		 void UpdateAllSensors (int tx, int ty, int tz, int rx, int ry, int rz);
		 void UpdateAllSensors (void);
		 void SetExtraData(void *);

	private:
		void *ExtraData;
		int NumberOfSensors;
		char StrRead[100];
		SmVR_CGeometricObject *BindObject[2];//, *BindObject2;
		SmVR_Matrix Inverse[2];

		void UpdateBind(int i);

};


