// ************************************************
// SmVR_CDevice.cpp
//
//	Implements the VIRTUAL class that drives the
//	devices
//
//  Author: Marcio Serolli Pinho
//	Email: pinho@inf.pucrs.br		 
//	Homepages:
//		http://www.smallvr.org
//		http://grv.inf.pucrs.br
//		http://www.inf.pucrs.br/~pinho
//
//	Porto Alegre, Brazil, 2002.
// ************************************************

#include "SmVR_CDevice.h"

// ************************************************
// Init(void *p)
//
// ************************************************
int SmVR_CDevice::Init(void *p)
{
   printf("'Init' method from base (virtual) class....\n"); 
   return 0;
}

// ************************************************
// Reset(void *p)
//
// ************************************************
int SmVR_CDevice::Reset(void *p)
{
   printf("'Reset' method from base (virtual) class....\n"); 
   return 0;
}

// ************************************************
// Read(void *data
//
// ************************************************
int SmVR_CDevice::Read(void *data)
{
  
   printf("'Read' method from base (virtual) class....\n"); 
   return 0;
}

// ************************************************
// Bind(int nSensor, SmVR_CGeometricObject *o 
//
// ************************************************
void SmVR_CDevice::Bind(int nSensor, SmVR_CGeometricObject *o )
{
	printf("'Bind' method from base (virtual) class....\n"); 
}


// ************************************************
// UpdateAllSensors (void)
//
// ************************************************
void SmVR_CDevice::UpdateAllSensors (void)
{
	printf("'UpdateAllSensors' method from base (virtual) class....\n"); 

}

// ************************************************
// UpdateAllSensors (int tx, int ty, int tz, int rx, int ry, int rz)
//
// ************************************************
void SmVR_CDevice::UpdateAllSensors (int tx, int ty, int tz, int rx, int ry, int rz)
{
	printf("'UpdateAllSensors' method from base (virtual) class....\n"); 
}

// ************************************************
// UpdateAllSensors (int rx, int ry, int rz)
//
// ************************************************
void SmVR_CDevice::UpdateAllSensors (int rx, int ry, int rz)
{
	printf("'UpdateAllSensors' method from base (virtual) class....\n"); 
}

// ************************************************
// SetExtraData(void *data)
//		defines the area that will hold the extra
//	data that comes from the device
// ************************************************
void SmVR_CDevice::SetExtraData(void *data)
{
	printf("'SetExtraData' method from base (virtual) class....\n"); 
}


// ************************************************
// ~SmVR_CDevice(void)
//	
// ************************************************
SmVR_CDevice::~SmVR_CDevice(void)
{

}

