// SmVR_Scene.h

#include "SmVR_CommonTypes.h"
#include "SmVR_CPoint.h"
#include  "SmVR_CGeometricObject.h"

enum {

	END_OF_OBJECT,
	START_OF_FAMILY,
	END_OF_FAMILY,
	END_OF_SCENE,
	WRONG_TOKEN,
	FILE_TOKEN,
	NAME_TOKEN,
	POSITION_TOKEN,
	ROTATION_TOKEN,
	SCALE_TOKEN
};


class SmVR_Scene
{
	public:
		//void SmVR_Scene ();
		SmVR_Scene (char *name, SmVR_CGeometricObject *root);
	private:
		char *filename;
		FILE *arq;

		int OpenSceneFile(char *name);
		int GetNextObject(char *name, char *file3D, SmVR_CPoint *pos, SmVR_CPoint *esc, SmVR_CPoint *ori, float *ang);
		void ReadFamily(SmVR_CGeometricObject *parent);
		int ReadObject(SmVR_CGeometricObject *parent, SmVR_CPoint *pos, SmVR_CPoint *esc, SmVR_CPoint *ori, float *ang );
		char *ReadLine(char *l);
		//static
			int NoOfLine;

};
